summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorBill Nottingham <notting@redhat.com>2003-11-10 22:47:14 +0000
committerBill Nottingham <notting@redhat.com>2003-11-10 22:47:14 +0000
commitbbc881c9b8817a3f27ac092ec7acc1d6393a7d4c (patch)
tree22df89461d163c9fe4fb899d98c08ad98b7d43f1
parentde014598592a573369b6f78ced76393568a0eab7 (diff)
fix xDSL and other interfaces (#109601)
-rwxr-xr-xrc.d/init.d/network16
1 files changed, 8 insertions, 8 deletions
diff --git a/rc.d/init.d/network b/rc.d/init.d/network
index 3cbf9c7c..9452deeb 100755
--- a/rc.d/init.d/network
+++ b/rc.d/init.d/network
@@ -110,16 +110,16 @@ case "$1" in
if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
if [ "${DEVICE##cipcb}" != "$DEVICE" ] ; then
- cipeinterfaces="$cipeinterfaces $DEVICE"
+ cipeinterfaces="$cipeinterfaces $i"
continue
fi
if [ "$TYPE" = "xDSL" ]; then
- xdslinterfaces="$xdslinterfaces $DEVICE"
+ xdslinterfaces="$xdslinterfaces $i"
continue
fi
if [ -n "$BRIDGE" ]; then
- bridgeinterfaces="$bridgeinterfaces $DEVICE"
+ bridgeinterfaces="$bridgeinterfaces $i"
continue
fi
@@ -205,15 +205,15 @@ case "$1" in
if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
if [ "${DEVICE##cipcb}" != "$DEVICE" ] ; then
- cipeinterfaces="$cipeinterfaces $DEVICE"
+ cipeinterfaces="$cipeinterfaces $i"
continue
fi
if [ -n "$BRIDGE" ]; then
- bridgeinterfaces="$bridgeinterfaces $DEVICE"
+ bridgeinterfaces="$bridgeinterfaces $i"
continue
fi
if [ "$TYPE" = "xDSL" ]; then
- xdslinterfaces="$xdslinterfaces $DEVICE"
+ xdslinterfaces="$xdslinterfaces $i"
continue
fi
done
@@ -222,7 +222,7 @@ case "$1" in
eval $(fgrep "DEVICE=" ifcfg-$i)
if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
- if ! check_device_down $i; then
+ if ! check_device_down $DEVICE; then
action $"Shutting down interface $i: " ./ifdown $i boot
fi
done
@@ -232,7 +232,7 @@ case "$1" in
eval $(fgrep "DEVICE=" ifcfg-$i)
if [ -z "$DEVICE" ] ; then DEVICE="$i"; fi
- if ! check_device_down $i; then
+ if ! check_device_down $DEVICE; then
action $"Shutting down interface $i: " ./ifdown $i boot
fi
done